package com.loan.system.domain.enums;

/**
 * @author chen
 * @date 2020/9/2 - 15:58
 */
public enum LogEnum {

    LOG_DEFAULE(0,null),

    LOG_OPER_TYPE_INSERT(100,"insert"),
    LOG_OPER_TYPE_UPDATE(101,"update"),
    LOG_OPER_TYPE_DELETE(102,"delete"),
    //模快
    LOG_MODULE_USER(200,"用户管理"),
    LOG_MODULE_PROJECT_TYPE(300,"项目类型管理"),
    LOG_MODULE_CONTRACT(400,"合同管理"),
    LOG_MODULE_PROJECT(500,"项目管理"),
    LOG_MODULE_FUND(600,"经费管理"),
    LOG_MODULE_CONTRACT_TYPE(700,"合同类管理"),
    LOG_MODULE_STEP(800,"环节管理");

    private Integer code;
    private String msg;

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    LogEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
